## General Index

filename
  Including other Configuration Files
MAJOR WARNING
  !!! MAJOR WARNING !!!
*JobLevel
  Bootstrap File Format
*JobType
  Bootstrap File Format
-docdir configure option
  -docdir configure option
-htmldir configure option
  -htmldir configure option
-plugindir configure option
  -with-plugindir configure option
-prefix
  Configure Options
-sbindir
  Configure Options
-sysconfdir
  Configure Options
-mandir
  Configure Options
-datadir
  Configure Options
-disable-ipv6
  Configure Options
-enable-smartalloc
  Configure Options
-enable-bat
  Configure Options
-enable-batch-insert
  Configure Options
-enable-bwx-console
  Configure Options
-enable-tray-monitor
  Configure Options
-enable-static-tools
  Configure Options
-enable-static-fd
  Configure Options
-enable-static-sd
  Configure Options
-enable-static-dir
  Configure Options
-enable-static-cons
  Configure Options
-enable-client-only
  Configure Options
-enable-build-dird
  Configure Options
-enable-build-stored
  Configure Options
-enable-largefile
  Configure Options
-disable-nls
  Configure Options
-disable-ipv6
  Configure Options
-with-sqlite3
  Configure Options
-with-mysql
  Configure Options
-with-postgresql
  Configure Options
-with-python
  Configure Options
-with-libintl-prefix
  Configure Options
-enable-conio
  Configure Options
-with-readline
  Configure Options
-enable-readline
  Configure Options
-with-tcp-wrappers
  Configure Options
-with-archivedir
  Configure Options
-with-working-dir
  Configure Options
-with-baseport
  Configure Options
-with-dump-email
  Configure Options
-with-pid-dir
  Configure Options
-with-subsys-dir
  Configure Options
-with-dir-password
  Configure Options
-with-fd-password
  Configure Options
-with-sd-password
  Configure Options
-with-dir-user
  Configure Options
-with-dir-group
  Configure Options
-with-sd-user
  Configure Options
-with-sd-group
  Configure Options
-with-fd-user
  Configure Options
-with-fd-group
  Configure Options
-with-mon-dir-password
  Configure Options
-with-mon-fd-password
  Configure Options
-with-mon-sd-password
  Configure Options
-with-db-name
  Configure Options
-with-db-user
  Configure Options
Accurate Backup
  Accurate Backup
ACL Updates
  ACL Updates
Actual Conf Files
  The Actual Conf Files
Adapting Your mtx-changer script
  Testing Autochanger and Adapting mtx-changer script
Adding a Second Client
  Adding a Second Client
Additional Resources
  Additional Resources
Address
  The Director Resource
Advantages
  Advantages | Advantages
Advantages of Bacula Over Other Backup Programs
  Advantages Over Other Backup Programs
alert
  Messages Resource
Algorithm, New Volume
  Recycling Algorithm
Algorithm, Recycling
  Recycling Algorithm
all
  Messages Resource
Allow Duplicate Jobs
  Allow Duplicate Jobs = yesno | The Job Resource
Allow Higher Duplicates
  Allow Higher Duplicates = yesno | The Job Resource
Allow Mixed Priority
  Allow Mixed Priority = yesno
Alternate Disaster Recovery Suggestion for Win32 Systems
  Alternate Disaster Recovery Suggestion for Win32 Systems
ANSI and IBM Tape Labels
  ANSI and IBM Tape Labels
append
  Messages Resource
Arguments, Command Line
  Command Line Arguments
Attribute Despooling
  Enhanced Attribute Despooling
Attributes, Restoring Directory
  Restoring Directory Attributes
Authorization, Names Passwords and
  Names, Passwords and Authorization
Auto Starting the Daemons
  Auto Starting the Daemons
Autochanger Support
  Autochanger Support
Autochanger, Simulating Barcodes in your
  Simulating Barcodes in your Autochanger
Autochanger, Using the
  Using the Autochanger
Autochangers, Supported
  Supported Autochangers
Autochangers, Supported
  Supported Autochangers
Automated Disk Backup
  Automated Disk Backup
Automatic Generation of Bootstrap Files
  Automatic Generation of Bootstrap Files
Automatic Pruning
  Automatic Pruning
Automatic Pruning and Recycling Example
  Automatic Pruning and Recycling Example
Automatic Volume Labeling
  Automatic Volume Labeling
Automatic Volume Recycling
  Automatic Volume Recycling
AutoPrune
  Setting Retention Periods
Aware, FreeBSD Users Be
  FreeBSD Users Be Aware!!!
Backing up Raw Partitions
  Backing up Raw Partitions
Backing Up the WinNT/XP/2K System State
  Backing Up the WinNT/XP/2K System State
Backing Up Third Party Databases
  Backing Up Third Party Databases
Backing up to Multiple Disks
  Backing up to Multiple Disks
Backing Up Your Bacula Database
  Backing Up Your Bacula Database
Backing Up Your Bacula Database - Security Considerations
  Security considerations
Backing up, Partitions
  Backing up Raw Partitions
Backup Strategies
  Backup Strategies
Backup, Simple One Tape
  Simple One Tape Backup
Backups, slow
  The Job Resource | The Client Resource
Backward Compatibility
  Backward Compatibility
Bacula Autochanger Interface
  Bacula Autochanger Interface
Bacula Bugs
  Bacula Bugs
Bacula Components or Services
  Bacula Components or Services
Bacula Configuration
  Bacula Configuration
Bacula Copyright, Trademark, and Licenses
  Bacula Copyright, Trademark, and Licenses
Bacula Security Issues
  Bacula Security Issues
Bacula, Before Running
  Before Running Bacula
Bacula, Disaster Recovery Using
  Disaster Recovery Using Bacula
Bacula, Installing
  Installing Bacula | Installing Bacula
Bacula, Running
  Running Bacula
Bacula, Upgrading
  Upgrading Bacula
Bacula, What is
  What is Bacula?
Bacula, Who Needs
  Who Needs Bacula?
Barcode Support
  Barcode Support
Bare Metal Recovery on Linux with a Rescue CD
  Bare Metal Recovery on Linux with a Rescue CD
Bare Metal Recovery using a LiveCD
  Bare Metal Recovery using a LiveCD
Base Jobs
  File Deduplication using Base Jobs
Basic Volume Management
  Basic Volume Management
Bat Enhancements
  Bat Enhancements
Before Running Bacula
  Before Running Bacula
Beta Releases
  Beta Releases
bextract handles Win32 non-portable data
  bextract non-portable Win32 data
Boot with your Rescue CDROM
  Boot with your Rescue CDROM
Bootstrap Example
  A Final Bootstrap Example
Bootstrap File
  The Bootstrap File
Bootstrap File Directive
  Bootstrap File Directive - FileRegex
Bootstrap File Format
  Bootstrap File Format
Brief Tutorial
  A Brief Tutorial
Broken pipe
  The Client Resource | Storage Resource
bscan
  Bootstrap for bscan
bscan bootstrap
  Bootstrap for bscan
bscan, bootstrap
  Bootstrap for bscan
Bugs and Other Considerations
  Bugs and Other Considerations
Bugs, Bacula
  Bacula Bugs
Bugs, Linux Problems or
  Linux Problems or Bugs
Building a File Daemon or Client
  Building a File Daemon or Client
Building Bacula from Source
  Building Bacula from Source
Building Bacula with Encryption Support
  Building Bacula with Encryption Support
Cancel Lower Level Duplicates
  The Job Resource
Cancel Queued Duplicates
  Cancel Queued Duplicates = yesno | The Job Resource
Cancel Running Duplicates
  Cancel Running Duplicates = yesno | The Job Resource
Capabilities
  Capabilities
catalog
  Messages Resource
Catalog Format
  Catalog Format
Catalog Maintenance
  Catalog Maintenance
Catalog Resource
  The Catalog Resource
CDROM, Bare Metal Recovery on Linux with a Rescue
  Bare Metal Recovery on Linux with a Rescue CD
CDROM, Boot with your Rescue
  Boot with your Rescue CDROM
Certificate, Creating a Self-signed
  Creating a Self-signed Certificate
Certificate, Getting a CA Signed
  Getting a CA Signed Certificate
Changing Cartridges
  Changing Cartridges
Character Sets
  Character Sets
Client
  Bootstrap File Format
Client Connect Wait
  Storage Resource
Client Resource
  The Client Resource
Client Resource
  The Client Resource | The Client Resource
Client, Adding a Second
  Adding a Second Client
Client, Building a File Daemon or
  Building a File Daemon or Client
Client, Win32 Specific File daemon Command Line Options
  Win32 Specific File daemon Command Line
Client/File daemon Configuration
  Client/File daemon Configuration
Clients, Considerations for Multiple
  Considerations for Multiple Clients
Command Line Arguments
  Command Line Arguments
Command Separator
  Use separator for multiple commands
Command, Console Restore
  The Restore Command
Command, Full Form of the Update Slots
  The Full Form of the Update Slots Command
Command, Restore
  The Restore Command
Commands, Console
  Console Commands
Commands, File Selection
  File Selection Commands
Commands, Other Useful Console
  Other Useful Console Commands
Comments
  Comments
Communications Encryption
  Bacula TLS - Communications Encryption
Compacting Your MySQL Database
  Compacting Your MySQL Database
Compacting Your PostgreSQL Database
  Compacting Your PostgreSQL Database
Compacting Your SQLite Database
  Compacting Your SQLite Database
Concurrent Disk Jobs
  Concurrent Disk Jobs
Concurrent Jobs
  The Director Resource
CONDITIONS, TERMS AND
  TERMS AND CONDITIONS | TERMS AND CONDITIONS
Configuration, Bacula
  Bacula Configuration
Configuration, Client/File daemon
  Client/File daemon Configuration
Configuration, Console
  Console Configuration
Configuration, Monitor
  Monitor Configuration
Configuration, Storage Daemon
  Storage Daemon Configuration
Configure Options
  Configure Options
Configuring and Testing TCP Wrappers
  Configuring and Testing TCP Wrappers
Configuring the Console Program
  Configuring the Console Program
Configuring the Director
  Configuring the Director
Configuring the Director
  Configuring the Director
Configuring the File daemon
  Configuring the File daemon
Configuring the Monitor Program
  Configuring the Monitor Program
Configuring the Storage daemon
  Configuring the Storage daemon
Connect Timeout
  Connect Timeout
Considerations, Bugs and Other
  Bugs and Other Considerations
Considerations, Important
  Important Considerations
Considerations, Windows Compatibility
  Windows Compatibility Considerations
Considerations, Windows NTFS Naming
  Windows NTFS Naming Considerations
console
  Messages Resource
Console Additions
  Console Command Additions and Enhancements
Console Commands
  Console Commands
Console Configuration
  Console Configuration
Console Resource
  The Console Resource | The Console Resource
Console Restore Command
  The Restore Command
ConsoleFont Resource
  The ConsoleFont Resource
Contents, Table of
  Table of Contents | Table of Contents
Conventions Used in this Document
  Conventions Used in this Document
Converting from MySQL to PostgreSQL
  Converting from MySQL to PostgreSQL
Copy
  Migration and Copy
Copy Jobs
  Copy Jobs
Copyrights and Trademarks
  Copyrights and Trademarks
Count
  Bootstrap File Format
Counter Resource
  The Counter Resource
Creating a Pool
  Creating a Pool
Creating a Self-signed Certificate
  Creating a Self-signed Certificate
Credits
  Credits
Critical Items
  Critical Items
Critical Items to Implement Before Production
  Critical Items to Implement Before Production
Current Implementation Restrictions
  Current Implementation Restrictions
Current State of Bacula
  The Current State of Bacula
Customizing the Configuration Files
  Customizing the Configuration Files
Daemon Command Line Options
  Daemon Command Line Options
Daemon, Configuring the File
  Configuring the File daemon
Daemon, Configuring the Storage
  Configuring the Storage daemon
Daemon, Detailed Information for each
  Detailed Information for each Daemon
Daemons, Auto Starting the
  Auto Starting the Daemons
Daemons, Starting the
  Starting the Daemons
Daily Tape Rotation
  Daily Tape Rotation
Daily, Weekly, Monthly Tape Usage Example
  Daily, Weekly, Monthly Tape Usage Example
Data Encryption
  Data Encryption | Data Encryption
Data Spooling
  Data Spooling
Data Spooling Directives
  Data Spooling Directives
Database Performance Issues
  Database Performance Issues
Database Performance Issues Indexes
  Performance Issues Indexes
Database Size
  Database Size
Database, Backing Up Your Bacula
  Backing Up Your Bacula Database
Database, Backing Up Your Bacula Database - Security Considerations
  Security considerations
Database, Compacting Your MySQL
  Compacting Your MySQL Database
Database, Compacting Your PostgreSQL
  Compacting Your PostgreSQL Database
Database, Compacting Your SQLite
  Compacting Your SQLite Database
Database, MySQL Server Has Gone Away
  MySQL Server Has Gone Away
Database, MySQL Table is Full
  MySQL Table is Full
Database, Re-initializing the Catalog
  Re-initializing the Catalog Database | Re-initializing the Catalog Database | Re-initializing the Catalog Database
Database, Repairing Your MySQL
  Repairing Your MySQL Database
Database, Repairing Your PostgreSQL
  Repairing Your PostgreSQL Database
Database, Restoring
  Restoring When Things Go Wrong
Database, Starting the
  Starting the Database
Databases, Backing Up Third Party
  Backing Up Third Party Databases
dbcheck enhancements
  dbcheck enhancements
Dealing with Multiple Magazines
  Dealing with Multiple Magazines
Dealing with Win32 Problems
  Dealing with Win32 Problems
Debug Daemon Output
  Debug Daemon Output
Decrypting with a Master Key
  Decrypting with a Master Key
Dependency Packages
  Dependency Packages
Design Limitations or Restrictions
  Design Limitations or Restrictions
Design, Overall
  Overall Design
Detailed Information for each Daemon
  Detailed Information for each Daemon
Details
  The Details
Details, Practical
  Practical Details | Practical Details
Device Configuration Records
  Device Configuration Records
Device Resource
  Device Resource
Devices that require a mount (USB)
  Devices that require a mount (USB)
Devices, Multiple
  Multiple Devices
devices, SCSI
  Knowing What SCSI Devices You Have
Differential Max Wait Time
  Incremental|Differential Max Wait Time = time-period-in-seconds
Differential Pool
  Differential Pool
Difficulties Connecting from the FD to the SD
  Difficulties Connecting from the FD to the SD
Directives, Data Spooling
  Data Spooling Directives
Directives, Edit Codes
  Edit Codes for Mount and Unmount Directives
Directives, Pruning
  Pruning Directives
director
  Messages Resource
Director Resource
  The Director Resource | Director Resource | The Director Resource
Director Resource
  The Director Resource | The Director Resource
Director Resource Types
  Director Resource Types
Director, Configuring the
  Configuring the Director
Director, Configuring the
  Configuring the Director
Directories, Excluding Files and
  Excluding Files and Directories
Directory, Get Rid of the /lib/tls
  Get Rid of the /lib/tls Directory
Disadvantages
  Disadvantages | Disadvantages
Disaster Recovery
  Disaster Recovery
Disaster Recovery of Win32 Systems
  Disaster Recovery of Win32 Systems
Disaster Recovery Using Bacula
  Disaster Recovery Using Bacula
Disaster, Preparing Solaris Before a
  Preparing Solaris Before a Disaster
Disclaimer
  Disclaimer
Disk Volumes
  Basic Volume Management
Disk, Automated Backup
  Automated Disk Backup
Disks, Backing up to Multiple
  Backing up to Multiple Disks
Document, Conventions Used in this
  Conventions Used in this Document
Domain, Public
  Public Domain
Drive, Testing Bacula Compatibility with Your Tape
  Testing Compatibility with Your Tape Drive
Drives, Supported Tape
  Supported Tape Drives
Drives, Unsupported Tape
  Unsupported Tape Drives
Duplicate Jobs
  Duplicate Job Control
Edit Codes for Mount and Unmount Directives
  Edit Codes for Mount and Unmount Directives
Enable VSS
  Volume Shadow Copy Service
Encryption Technical Details
  Encryption Technical Details
Encryption, Communications
  Bacula TLS - Communications Encryption
Encryption, Data
  Data Encryption
Encryption, Transport
  Bacula TLS - Communications Encryption
error
  Messages Resource
Errors, Restore
  Restore Errors
Example
  An Example
Example Client Configuration File
  Example Client Configuration File
Example Configuration File
  An Example Configuration File
Example Data Encryption Configuration
  Example Data Encryption Configuration
Example Director Configuration File
  Example Director Configuration File
Example Migration Jobs
  Example Migration Jobs
Example Restore Job Resource
  Example Restore Job Resource
Example Scripts
  Example Scripts
Example, Automatic Pruning and Recycling
  Automatic Pruning and Recycling Example
Example, Bootstrap
  A Final Bootstrap Example
Example, Daily Weekly Monthly Tape Usage
  Daily, Weekly, Monthly Tape Usage Example
Example, Data Encryption Configuration File
  Example Data Encryption Configuration
Example, File Daemon Configuration File
  Example Data Encryption Configuration
Example, TLS Configuration Files
  Example TLS Configuration Files
Example, Verify Configuration
  A Verify Configuration Example
Examples, FileSet
  FileSet Examples
Excluding Files and Directories
  Excluding Files and Directories
Extended Attributes
  Extended Attributes
fatal
  Messages Resource
FD Version
  FD Version
FDL
  FDL
Fiduciary License Agreement
  Fiduciary License Agreement
file
  Messages Resource
File Deduplication
  File Deduplication using Base Jobs
File Retention
  Setting Retention Periods
File Selection Commands
  File Selection Commands
File, Bootstrap
  The Bootstrap File
File, Example Client Configuration
  Example Client Configuration File
File, Example Configuration
  An Example Configuration File
File, Example Director Configuration
  Example Director Configuration File
File, Sample Console Configuration
  Sample Console Configuration File
File, Sample Storage Daemon Configuration
  Sample Storage Daemon Configuration File
FileIndex
  Bootstrap File Format
Filename, Selecting Files by
  Selecting Files by Filename
FileRegex
  Bootstrap File Format
Files, Actual Conf
  The Actual Conf Files
Files, Automatic Generation of Bootstrap
  Automatic Generation of Bootstrap Files
Files, Customizing the Configuration
  Customizing the Configuration Files
Files, Including other Configuration
  Including other Configuration Files
Files, Modifying the Bacula Configuration
  Modifying the Bacula Configuration Files
Files, Problems Restoring
  Problems Restoring Files
Files, Restoring Your
  Restoring Your Files
Files, Setting Up Bacula Configuration
  Setting Up Bacula Configuration Files
Files, Testing your Configuration
  Testing your Configuration Files
FileSet Examples
  FileSet Examples
FileSet Resource
  The FileSet Resource
FileSet, Testing Your
  Testing Your FileSet
FileSet, Windows Example
  A Windows Example FileSet
FileSets, Windows
  Windows FileSets
Fills, When The Tape
  When The Tape Fills
Firewalls, Windows
  Windows Firewalls
Fixing the Windows Boot Record
  Fixing the Windows Boot Record
Format, Bootstrap
  Bootstrap File Format
Format, Resource Directive
  Resource Directive Format
Found, What To Do When Differences Are
  What To Do When Differences Are Found
FreeBSD
  FreeBSD
FreeBSD Bare Metal Recovery
  FreeBSD Bare Metal Recovery
FreeBSD Issues
  FreeBSD Issues
FreeBSD Users Be Aware
  FreeBSD Users Be Aware!!!
ftruncate for NFS Volumes
  ftruncate for NFS Volumes
Full Form of the Update Slots Command
  The Full Form of the Update Slots Command
Full Pool
  Full Pool
General
  General | General
General
  General
Generating Private/Public Encryption Keypairs
  Generating Private/Public Encryption Keys
Get Rid of the /lib/tls Directory
  Get Rid of the /lib/tls Directory
Getting a CA Signed Certificate
  Getting a CA Signed Certificate
Getting Started with Bacula
  Getting Started with Bacula
GNOME
  GNOME
GNU Free Documentation License
  GNU Free Documentation License
GNU General Public License
  GNU General Public License | GNU GENERAL PUBLIC LICENSE
GNU Lesser General Public License
  GNU Lesser General Public License | GNU LESSER GENERAL PUBLIC LICENSE
GPL
  GPL
Have, Knowing What SCSI Devices You
  Knowing What SCSI Devices You Have
Heartbeat Interval
  The Client Resource | Storage Resource
How to Apply These Terms to Your New Libraries
  How to Apply These Terms to Your New Libraries
How to Apply These Terms to Your New Programs
  How to Apply These Terms to Your New Programs
IgnoreDir
  Exclude Dir Containing = filename-string | The FileSet Resource
Implemented, What
  What is Implemented
Important Considerations
  Important Considerations
Important Migration Considerations
  Important Migration Considerations
Including other Configuration Files
  Including other Configuration Files
Incremental Max Wait Time
  Incremental|Differential Max Wait Time = time-period-in-seconds
Incremental Pool
  Incremental Pool
info
  Messages Resource
Installation
  Win32 Installation
Installing and Configuring MySQL
  Installing and Configuring MySQL
Installing and Configuring MySQL - Phase I
  Installing and Configuring MySQL - Phase I
Installing and Configuring MySQL - Phase II
  Installing and Configuring MySQL - Phase II
Installing and Configuring PostgreSQL
  Installing and Configuring PostgreSQL
Installing and Configuring SQLite
  Installing and Configuring SQLite
Installing and Configuring SQLite - Phase I
  Installing and Configuring SQLite - Phase I
Installing and Configuring SQLite - Phase II
  Installing and Configuring SQLite - Phase II
Installing Bacula
  Installing Bacula | Installing Bacula
Installing MySQL from RPMs
  Installing MySQL from RPMs
Installing PostgreSQL from RPMs
  Installing PostgreSQL from RPMs
Installing Tray Monitor
  Installing Tray Monitor
Interactions Between the Bacula Services
  Interactions Between the Bacula Services
Interface, Bacula Autochanger
  Bacula Autochanger Interface
Issues, Bacula Security
  Bacula Security Issues
Issues, FreeBSD
  FreeBSD Issues
Items to Note
  Items to Note
Items, Critical
  Critical Items
Items, Recommended
  Recommended Items
Job
  Bootstrap File Format
Job Resource
  The Job Resource
Job Retention
  Setting Retention Periods
Job, Running a
  Running a Job
JobDefs Resource
  The JobDefs Resource
JobId
  Bootstrap File Format
Jobs, Querying or Starting Jobs
  Using the Director to Query and Start Jobs
Jobs, Understanding
  Understanding Jobs and Schedules
KDE
  KDE
Key Concepts and Resource Records
  Key Concepts and Resource Records
Knowing What SCSI Devices You Have
  Knowing What SCSI Devices You Have
Label Media
  Capabilities
Labeling Volumes with the Console Program
  Labeling Volumes with the Console Program
Labeling Your Volumes
  Labeling Your Volumes
Labeling, Automatic Volume
  Automatic Volume Labeling
Labeling, Specifying Slots When
  Specifying Slots When Labeling
Labels, Tape
  ANSI and IBM Tape Labels
Labels, Understanding Pools Volumes and
  Understanding Pools, Volumes and Labels
LGPL
  LGPL
libdbi Framework
  libdbi Framework
Libraries, How to Apply These Terms to Your New
  How to Apply These Terms to Your New Libraries
libwrappers
  Configure Options | Configuring and Testing TCP Wrappers
License, GNU Free Documentation
  GNU Free Documentation License
License, GNU General Public
  GNU General Public License | GNU GENERAL PUBLIC LICENSE
License, GNU Lesser General Public
  GNU Lesser General Public License | GNU LESSER GENERAL PUBLIC LICENSE
Licenses, Bacula Copyright Trademark
  Bacula Copyright, Trademark, and Licenses
Linking Bacula with MySQL
  Linking Bacula with MySQL
Linking Bacula with SQLite
  Linking Bacula with SQLite
Linux Problems or Bugs
  Linux Problems or Bugs
list joblog
  list joblog job=xxx or jobid=nnn
LiveCD, Bare Metal Recovery using a LiveCD
  Bare Metal Recovery using a LiveCD
Log Rotation
  Log Rotation
Log Watch
  Log Watch
Magazines, Dealing with Multiple
  Dealing with Multiple Magazines
mail
  Messages Resource
mail on error
  Messages Resource
mail on success
  Messages Resource
Maintenance, Catalog
  Catalog Maintenance
Making Bacula Use a Single Tape
  Making Bacula Use a Single Tape
Management, Basic Volume
  Basic Volume Management
Managers, Other window
  Other window managers
Manually Changing Tapes
  Manually Changing Tapes
Manually Recycling Volumes
  Manually Recycling Volumes
Manually resetting the Permissions
  Manually resetting the Permissions
Max Run Sched Time
  Max Run Sched Time = time-period-in-seconds
Max Run Time directives
  Max Run Time directives
Max Wait Time
  Max Wait Time = time-period-in-seconds
MaxDiffInterval
  MaxDiffInterval = time-interval | Honor No Dump Flag = yesno
MaxFullInterval
  MaxFullInterval = time-interval
MaximumConsoleConnections
  MaximumConsoleConnections = number
Message Resource
  The Message Resource
Messages Resource
  The Messages Resource | Messages Resource | Messages Resource
Microsoft Exchange Server 2003/2007 Plugin
  Microsoft Exchange Server 2003/2007 Plugin
Migrating from SQLite to MySQL or PostgreSQL
  Migrating from SQLite to MySQL or PostgreSQL
Migration
  Migration and Copy
Misc New Features
  Miscellaneous
Modifying the Bacula Configuration Files
  Modifying the Bacula Configuration Files
Monitor Configuration
  Monitor Configuration
Monitor Resource
  The Monitor Resource
Monitor, Installing Tray
  Installing Tray Monitor
mount
  Messages Resource
Multi-drive Example Configuration File
  A Multi-drive Example Configuration File
Multiple Clients
  Considerations for Multiple Clients
Multiple Devices
  Multiple Devices
MySQL Server Has Gone Away
  MySQL Server Has Gone Away
MySQL Table is Full
  MySQL Table is Full
MySQL, Installing and Configuring
  Installing and Configuring MySQL
MySQL, Installing from RPMs
  Installing MySQL from RPMs
MySQL, Linking Bacula with
  Linking Bacula with MySQL
MySQL, Migrating from SQLite to
  Migrating from SQLite to MySQL or PostgreSQL
Names, Passwords and Authorization
  Names, Passwords and Authorization
New Features
  New Features in 3.0.0
New Volume Algorithm
  Recycling Algorithm
Notes, Other Make
  Other Make Notes
notsaved
  Messages Resource
One Files Configure Script
  One File Configure Script
operator
  Messages Resource
Options, Configure
  Configure Options
Options, Daemon Command Line
  Daemon Command Line Options
Other Make Notes
  Other Make Notes
Other Points
  Other Points
Other Useful Console Commands
  Other Useful Console Commands
Other window managers
  Other window managers
Output, Debug Daemon
  Debug Daemon Output
Overall Design
  Overall Design
Packages, Dependency
  Dependency Packages
Passwords
  Names, Passwords and Authorization
Performance, Database
  Database Performance Issues | Performance Issues Indexes
Periods, Setting Retention
  Setting Retention Periods
Permissions, Manually resetting the
  Manually resetting the Permissions
Phase I, Installing and Configuring MySQL -
  Installing and Configuring MySQL - Phase I
Phase I, Installing and Configuring SQLite -
  Installing and Configuring SQLite - Phase I
Phase II, Installing and Configuring MySQL -
  Installing and Configuring MySQL - Phase II
Phase II, Installing and Configuring SQLite -
  Installing and Configuring SQLite - Phase II
Plugin
  Bacula Plugins | Plugin = plugin-command-string
Plugin Directory
  Plugin Directory
Plugin Options
  Plugin Options
Plugin Options ACL
  Plugin Options ACL
Points, Other
  Other Points
Pool Options to Limit the Volume Usage
  Pool Options to Limit the Volume Usage
Pool Resource
  The Pool Resource
Pool, Creating a
  Creating a Pool
Pool, Differential
  Differential Pool
Pool, Full
  Full Pool
Pool, Incremental
  Incremental Pool
Post Win32 Installation
  Post Win32 Installation
PostgreSQL, Configuring PostgreSQL -
  Configuring PostgreSQL
PostgreSQL, Converting from MySQL to
  Converting from MySQL to PostgreSQL
PostgreSQL, Installing
  Installing PostgreSQL
PostgreSQL, Installing and Configuring
  Installing and Configuring PostgreSQL
PostgreSQL, Installing from RPMs
  Installing PostgreSQL from RPMs
Practical Details
  Practical Details | Practical Details
Preamble
  Preamble | Preamble
Preparing Solaris Before a Disaster
  Preparing Solaris Before a Disaster
Problem
  The Problem
Problems Restoring Files
  Problems Restoring Files
Problems, VSS
  VSS Problems
Problems, Windows Backup
  Windows Restore Problems
Problems, Windows Ownership and Permissions
  Windows Ownership and Permissions Problems
Problems, Windows Restore
  Windows Restore Problems
Production, Critical Items to Implement Before
  Critical Items to Implement Before Production
Program, Configuring the Console
  Configuring the Console Program
Program, Configuring the Monitor
  Configuring the Monitor Program
Program, Labeling Volumes with the Console
  Labeling Volumes with the Console Program
Program, Quitting the Console
  Quitting the Console Program
Programs, Advantages of Bacula Over Other Backup
  Advantages Over Other Backup Programs
Programs, How to Apply These Terms to Your New
  How to Apply These Terms to Your New Programs
Pruning Directives
  Pruning Directives
Pruning, Automatic
  Automatic Pruning
Public Domain
  Public Domain
Querying or starting Jobs
  Using the Director to Query and Start Jobs
Quick Start
  Quick Start
Quick Start
  Quick Start
Quitting the Console Program
  Quitting the Console Program
Re-initializing the Catalog Database
  Re-initializing the Catalog Database | Re-initializing the Catalog Database | Re-initializing the Catalog Database
Recognized Primitive Data Types
  Recognized Primitive Data Types
Recommended Items
  Recommended Items
Recommended Options for Most Systems
  Recommended Options for Most Systems
Record, Sample Director's Console
  Sample Director's Console record.
Record, Sample File daemon's Director
  Sample File daemon's Director record.
Record, Sample Storage daemon's Director
  Sample Storage daemon's Director record.
Records, Device Configuration
  Device Configuration Records
Records, Key Concepts and Resource
  Key Concepts and Resource Records
Recovery, Bare Metal Recovery using a LiveCD
  Bare Metal Recovery using a LiveCD
Recovery, Disaster
  Disaster Recovery
Recovery, Disaster Recovery
  Disaster Recovery Using Bacula
Recovery, FreeBSD Bare Metal
  FreeBSD Bare Metal Recovery
Recovery, Solaris Bare Metal
  Solaris Bare Metal Recovery
Recovery, Windows Disaster
  Windows Disaster Recovery
Recycle Pool
  Recycle Pool = pool-name
Recycle Status
  Recycle Status
Recycling Algorithm
  Recycling Algorithm
Recycling, Automatic Volume
  Automatic Volume Recycling
Recycling, Restricting the Number of Volumes and Recycling
  Restricting the Number of Volumes and Recycling
Red Hat
  Red Hat
Release Files
  Source Release Files
Release Numbering
  Releases Numbering
Repairing Your MySQL Database
  Repairing Your MySQL Database
Repairing Your PostgreSQL Database
  Repairing Your PostgreSQL Database
Requirements
  Requirements
Requirements, System
  System Requirements
Rescue, Bare Metal Recovery using a LiveCD
  Bare Metal Recovery using a LiveCD
Rescue, Disaster Recovery
  Disaster Recovery Using Bacula
Rescue, FreeBSD Bare Metal
  FreeBSD Bare Metal Recovery
Resetting Directory and File Ownership and Permissions on Win32 Systems
  Ownership and Permissions on Win32 Systems
Resource Directive Format
  Resource Directive Format
Resource Types
  Resource Types
Resource, Catalog
  The Catalog Resource
Resource, Client
  The Client Resource
Resource, Client
  The Client Resource | The Client Resource
Resource, Console
  The Console Resource | The Console Resource
Resource, ConsoleFont
  The ConsoleFont Resource
Resource, Counter
  The Counter Resource
Resource, Device
  Device Resource
Resource, Director
  The Director Resource | Director Resource | The Director Resource
Resource, Director
  The Director Resource | The Director Resource
Resource, Example Restore Job
  Example Restore Job Resource
Resource, FileSet
  The FileSet Resource
Resource, Job
  The Job Resource
Resource, JobDefs
  The JobDefs Resource
Resource, Message
  The Message Resource
Resource, Messages
  The Messages Resource | Messages Resource | Messages Resource
Resource, Monitor
  The Monitor Resource
Resource, Pool
  The Pool Resource
Resource, Schedule
  The Schedule Resource
Resource, Storage
  The Storage Resource | Storage Resource
Resource, Storage
  The Storage Resource
Resources, Additional
  Additional Resources
Restore
  Restore from Multiple Storage Daemons
Restore Command
  The Restore Command
Restore Directories
  The Restore Command
Restore Errors
  Restore Errors
Restore menu
  Full Restore from a Given JobId
restored
  Messages Resource
Restoring a Client System
  Restoring a Client System
Restoring a Server
  Restoring a Server
Restoring Directory Attributes
  Restoring Directory Attributes
Restoring Files Can Be Slow
  Restoring Files Can Be Slow
Restoring on Windows
  Restoring on Windows
Restoring to a Running System
  Restoring to a Running System
Restoring When Things Go Wrong
  Restoring When Things Go Wrong
Restoring Your Database
  Restoring When Things Go Wrong
Restoring Your Files
  Restoring Your Files
Restricting the Number of Volumes and Recycling
  Restricting the Number of Volumes and Recycling
Restrictions, Current Implementation
  Current Implementation Restrictions
Restrictions, Design Limitations or
  Design Limitations or Restrictions
Rotation, Daily Tape
  Daily Tape Rotation
Rotation, Log
  Log Rotation
Running a Job
  Running a Job
Running as non-root
  Running as non-root
Running Bacula
  Running Bacula
Running the Verify
  Running the Verify
RunScript Enhancements
  RunScript Enhancements
Sample Console Configuration File
  Sample Console Configuration File
Sample Director's Console record.
  Sample Director's Console record.
Sample File daemon's Director record.
  Sample File daemon's Director record.
Sample Storage Daemon Configuration File
  Sample Storage Daemon Configuration File
Sample Storage daemon's Director record.
  Sample Storage daemon's Director record.
Sample Tray Monitor configuration
  Sample Tray Monitor configuration
Schedule Resource
  The Schedule Resource
Schedules, Technical Notes on
  Technical Notes on Schedules
Schedules, Understanding
  Understanding Jobs and Schedules
Scratch Pool
  The Scratch Pool
ScratchPool
  ScratchPool = pool-resource-name
Script, One File Configure
  One File Configure Script
Scripts, Example
  Example Scripts
SCSI devices
  Knowing What SCSI Devices You Have
SD, Difficulties Connecting from the FD to the SD
  Difficulties Connecting from the FD to the SD
security
  Messages Resource | Bacula Security Issues
Security, Using Bacula to Improve Computer
  Using Bacula to Improve Computer Security
Selecting Files by Filename
  Selecting Files by Filename
Server, Restoring a
  Restoring a Server
Services, Bacula Components or
  Bacula Components or Services
Services, Interactions Between the Bacula
  Interactions Between the Bacula Services
Setting Retention Periods
  Setting Retention Periods
Setting Up Bacula Configuration Files
  Setting Up Bacula Configuration Files
Shared objects
  Shared objects
Shutting down Windows Systems
  Shutting down Windows Systems
Simple One Tape Backup
  Simple One Tape Backup
Simulating Barcodes in your Autochanger
  Simulating Barcodes in your Autochanger
Simultaneous Jobs
  The Director Resource
Size, Database
  Database Size
skipped
  Messages Resource
Slot
  Bootstrap File Format
Slots
  Slots
slow
  The Job Resource | The Client Resource
Slow, Restoring Files Can Be
  Restoring Files Can Be Slow
Solaris
  Solaris
Solaris Bare Metal Recovery
  Solaris Bare Metal Recovery
Solution
  The Solution
Source Address
  Source Address
Source Files
  Source Release Files
Source, Building Bacula from
  Building Bacula from Source
Spaces, Upper/Lower Case
  Upper and Lower Case and Spaces
Specifications, Tape
  Tape Specifications
Specifying Slots When Labeling
  Specifying Slots When Labeling
Spooling, Data
  Data Spooling
SpoolSize
  SpoolSize = size-specification-in-bytes
SQLite, Installing and Configuring
  Installing and Configuring SQLite
SQLite, Linking Bacula with
  Linking Bacula with SQLite
SQLite, Testing
  Testing SQLite
Start, Quick
  Quick Start
Start, Quick
  Quick Start
Starting the Daemons
  Starting the Daemons
Starting the Database
  Starting the Database
State File
  State File updated at Job Termination
State, Backing Up the WinNT/XP/2K System
  Backing Up the WinNT/XP/2K System State
Static linking
  Building Static versions of Bacula
Statistics
  Using Bacula catalog to grab information
Statistics Enhancements
  Statistics Enhancements
Status Enhancements
  Status Enhancements
Status, Recycle
  Recycle Status
StatusSlots
  Display Autochanger Content
stderr
  Messages Resource
stdout
  Messages Resource
Steps to Take Before Disaster Strikes
  Steps to Take Before Disaster Strikes
Storage Daemon Configuration
  Storage Daemon Configuration
Storage Resource
  The Storage Resource | Storage Resource
Storage Resource
  The Storage Resource
Strategies, Backup
  Backup Strategies
Stream
  Bootstrap File Format
Strikes, Steps to Take Before Disaster
  Steps to Take Before Disaster Strikes
Support, Autochanger
  Autochanger Support
Support, Barcode
  Barcode Support
Supported Autochanger Models
  Supported Autochangers
Supported Autochangers
  Supported Autochangers
Supported Operating Systems
  Supported Operating Systems
Supported Operating Systems
  Supported Operating Systems
Supported Tape Drives
  Supported Tape Drives
syslog
  Messages Resource
System Requirements
  System Requirements
System, Restoring a Client
  Restoring a Client System
System, Restoring to a Running
  Restoring to a Running System
Systems, Alternate Disaster Recovery Suggestion for Win32
  Alternate Disaster Recovery Suggestion for Win32 Systems
Systems, Disaster Recovery of Win32
  Disaster Recovery of Win32 Systems
Systems, Recommended Options for Most
  Recommended Options for Most Systems
Systems, Resetting Directory and File Ownership and Permissions on Win32
  Ownership and Permissions on Win32 Systems
Systems, Shutting down Windows
  Shutting down Windows Systems
Systems, Supported Operating
  Supported Operating Systems
Systems, Supported Operating
  Supported Operating Systems
Table of Contents
  Table of Contents | Table of Contents
Tape Specifications
  Tape Specifications
Tape, Making Bacula Use a Single
  Making Bacula Use a Single Tape
Tapes, Manually Changing
  Manually Changing Tapes
TCP Wrappers
  Configure Options | Configuring and Testing TCP Wrappers
Technical Notes on Schedules
  Technical Notes on Schedules
terminate
  Messages Resource
Terminology
  Terminology
TERMS AND CONDITIONS
  TERMS AND CONDITIONS | TERMS AND CONDITIONS
Testing Bacula Compatibility with Your Tape Drive
  Testing Compatibility with Your Tape Drive
Testing SQLite
  Testing SQLite
Testing the Autochanger
  Testing Autochanger and Adapting mtx-changer script
Testing your Configuration Files
  Testing your Configuration Files
Testing Your FileSet
  Testing Your FileSet
Thanks
  Thanks
The bpipe Plugin
  The bpipe Plugin
TLS
  Bacula TLS - Communications Encryption
TLS - Communications Encryption
  Bacula TLS - Communications Encryption
TLS Authentication
  TLS Authentication
TLS Configuration Files
  Example TLS Configuration Files
Trademark
  Trademark
Trademarks, Copyrights and
  Copyrights and Trademarks
Transport Encryption
  Bacula TLS - Communications Encryption
Tray Monitor Security
  Tray Monitor Security
Tuning
  Tuning PostgreSQL
Tutorial, Brief
  A Brief Tutorial
Types, Director Resource
  Director Resource Types
Types, Recognized Primitive Data
  Recognized Primitive Data Types
Types, Resource
  Resource Types
Understanding Pools, Volumes and Labels
  Understanding Pools, Volumes and Labels
Unicode
  Considerations for Filename Specifications
Uninstalling Bacula on Win32
  Uninstalling Bacula on Win32
Unsupported Tape Drives
  Unsupported Tape Drives
Upgrading
  Upgrading Bacula | Win32 Installation | Linking Bacula with MySQL | Upgrading MySQL | Installing and Configuring PostgreSQL | Upgrading PostgreSQL
Upgrading Bacula
  Upgrading Bacula
Upgrading MySQL
  Upgrading MySQL
Upgrading PostgreSQL
  Upgrading PostgreSQL
Upgrading, MySQL
  Upgrading MySQL
Upgrading, PostgreSQL
  Upgrading PostgreSQL
Upper and Lower Case and Spaces
  Upper and Lower Case and Spaces
Usage, Pool Options to Limit the Volume
  Pool Options to Limit the Volume Usage
Usage, Windows Port
  Windows Port Usage
Use, What Database to
  What Database to Use?
to include other files
  Including other Configuration Files
Using Bacula to Improve Computer Security
  Using Bacula to Improve Computer Security
Using File Relocation
  Using File Relocation
Using Pools to Manage Volumes
  Automated Disk Backup
Using the Autochanger
  Using the Autochanger
Vbackup
  Virtual Backup (Vbackup)
VerId
  VerId = string
Verify Configuration Example
  A Verify Configuration Example
Verify, Running the
  Running the Verify
Version Numbering
  Releases Numbering
Virtual Backup
  Virtual Backup (Vbackup)
Virtual Tape Emulation
  Virtual Tape Emulation
VolBlock
  Bootstrap File Format
VolFile
  Bootstrap File Format
volmgmt
  Messages Resource
VolSessionId
  Bootstrap File Format
VolSessionTime
  Bootstrap File Format
Volume
  Bootstrap File Format
Volume Shadow Copy Service
  Volume Shadow Copy Service
Volumes, Labeling Your
  Labeling Your Volumes
Volumes, Manually Recycling
  Manually Recycling Volumes
Volumes, Using Pools to Manage
  Automated Disk Backup
VSS
  Volume Shadow Copy Service
VSS Problems
  VSS Problems
warning
  Messages Resource
WARNING, MAJOR
  !!! MAJOR WARNING !!!
Watch, Log
  Log Watch
What Bacula is Not
  What Bacula is Not
What Database to Use?
  What Database to Use?
What is Bacula?
  What is Bacula?
What is Implemented
  What is Implemented
What To Do When Differences Are Found
  What To Do When Differences Are Found
When The Tape Fills
  When The Tape Fills
Who Needs Bacula?
  Who Needs Bacula?
Win32
  Win32
Win32 Path Length Restriction
  Considerations for Filename Specifications
Win32 Specific File daemon Command Line Options
  Win32 Specific File daemon Command Line
Win32, Dealing with Problems
  Dealing with Win32 Problems
Win32, Installation
  Win32 Installation
Win32, Post Installation
  Post Win32 Installation
Win32, Uninstalling Bacula
  Uninstalling Bacula on Win32
Win64 Client
  64 bit Windows Client
Windows Backup Problems
  Windows Restore Problems
Windows Compatibility Considerations
  Windows Compatibility Considerations
Windows Disaster Recovery
  Windows Disaster Recovery
Windows Example FileSet
  A Windows Example FileSet
Windows FileSets
  Windows FileSets
Windows Firewalls
  Windows Firewalls
Windows NTFS Naming Considerations
  Windows NTFS Naming Considerations
Windows Ownership and Permissions Problems
  Windows Ownership and Permissions Problems
Windows Port Usage
  Windows Port Usage
Windows Restore Problems
  Windows Restore Problems
Windows Version of Bacula
  The Windows Version of Bacula
Windows, Considerations for Filename Specifications
  Considerations for Filename Specifications
Windows, Fixing the Boot Record
  Fixing the Windows Boot Record
Windows, Restoring on
  Restoring on Windows
Wrappers, TCP
  Configure Options | Configuring and Testing TCP Wrappers